Deal 50 endpoints

GET /contactDeals

Retrieve all secondary contacts

operationId: Deal_listAllSecondaryContacts

Responses

200

200

400

400

GET /contactDeals
POST /contactDeals

Create a new secondary contact for a deal

operationId: Deal_createSecondaryContact

Request Body

application/json
schema DealCreateSecondaryContactRequest

Responses

200

200

422

422

POST /contactDeals
DELETE /contactDeals/{id}

Delete an existing secondary contact

operationId: Deal_deleteSecondaryContact

Parameters

Name In Required Type Description
id path required integer

Secondary Contact’s id

Responses

200

200

404

404

DELETE /contactDeals/{id}
GET /contactDeals/{id}

Retrieve an existing secondary contact

operationId: Deal_getSecondaryContact

Parameters

Name In Required Type Description
id path required integer

Secondary Contact’s id

Responses

200

200

404

404

GET /contactDeals/{id}
PUT /contactDeals/{id}

Update an existing secondary contact

operationId: Deal_updateSecondaryContact

Parameters

Name In Required Type Description
id path required integer

Secondary Contact’s id

Request Body

application/json
schema DealUpdateSecondaryContactRequest

Responses

200

200

404

404

422

422

PUT /contactDeals/{id}
GET /contacts/{id}/contactDeals
operationId: Deal_getContactDeals

Parameters

Name In Required Type Description
id path required integer

ID of the contact

Responses

200

200

404

404

GET /contacts/{id}/contactDeals
GET /contacts/{id}/deals
operationId: Deal_getContactDeals

Parameters

Name In Required Type Description
id path required integer

ID of the contact

Responses

200

200

404

404

GET /contacts/{id}/deals
GET /dealActivities

View a recent activity for Deals. A specific deal’s activity can also be viewed using /api/3/deals/[dealID]/dealActivities.

operationId: Deal_listActivities

Parameters

Name In Required Type Description
exclude=email query optional string

Include this param to exclude “email”, “connection_email”, and “LinkData” activity types

deal query optional string

Filter by deal ID

filters[data_type] query optional string

Enter any dataType (see Response Details) to filter by that type. Examples: “userid” or task” or “note”

filters[data_id] query optional string

Enter any dataId (see Response details) to filter by related object. Example “291” for a note with ID 291

Responses

200

200

400

400

GET /dealActivities
GET /dealCustomFieldData
operationId: Deal_listCustomFieldData

Parameters

Name In Required Type Description
filters[dealId] query optional string

Filter results by a specific deal (note that Id uses a capital I)

Responses

200

200

GET /dealCustomFieldData
POST /dealCustomFieldData
operationId: Deal_createCustomFieldValue

Request Body

application/json
schema DealCreateCustomFieldValueRequest

Responses

200

200

422

422

POST /dealCustomFieldData
POST /dealCustomFieldData/bulkCreate
operationId: Deal_bulkCreateCustomFieldValues

Request Body

application/json
schema DealBulkCreateCustomFieldValuesRequest

Responses

200

200

POST /dealCustomFieldData/bulkCreate
PATCH /dealCustomFieldData/bulkUpdate
operationId: Deal_bulkUpdateCustomFieldData

Request Body

application/json
schema DealBulkUpdateCustomFieldDataRequest

Responses

200

200

PATCH /dealCustomFieldData/bulkUpdate
DELETE /dealCustomFieldData/{id}
operationId: Deal_deleteCustomFieldValue

Parameters

Name In Required Type Description
id path required integer

ID of the dealCustomFieldData to retrieve

Responses

200

200

404

404

DELETE /dealCustomFieldData/{id}
GET /dealCustomFieldData/{id}
operationId: Deal_getCustomFieldValue

Parameters

Name In Required Type Description
id path required integer

ID of the dealCustomFieldData to retrieve

Responses

200

200

404

404

GET /dealCustomFieldData/{id}
PUT /dealCustomFieldData/{id}
operationId: Deal_updateCustomFieldValue

Parameters

Name In Required Type Description
id path required integer

ID of the custom fields value to update

Request Body

application/json
schema DealUpdateCustomFieldValueRequest

Responses

200

200

404

404

422

422

PUT /dealCustomFieldData/{id}
GET /dealCustomFieldMeta
operationId: Deal_listCustomFieldMeta

Parameters

Name In Required Type Description
limit query optional integer

The number of fields returned per request.

Responses

200

200

GET /dealCustomFieldMeta
POST /dealCustomFieldMeta
operationId: Deal_createCustomFieldMeta

Request Body

application/json
schema DealCreateCustomFieldMetaRequest

Responses

200

200

422

422

POST /dealCustomFieldMeta
DELETE /dealCustomFieldMeta/{id}
operationId: Deal_deleteCustomFieldMeta

Parameters

Name In Required Type Description
id path required integer

ID of the field to delete

Responses

200

200

404

404

DELETE /dealCustomFieldMeta/{id}
GET /dealCustomFieldMeta/{id}
operationId: Deal_getCustomFieldMeta

Parameters

Name In Required Type Description
id path required integer

ID of the field to retrieve

Responses

200

200

404

404

GET /dealCustomFieldMeta/{id}
PUT /dealCustomFieldMeta/{id}
operationId: Deal_updateCustomFieldMeta

Parameters

Name In Required Type Description
id path required integer

ID of the custom field to update

Request Body

application/json
schema DealUpdateCustomFieldMetaRequest

Responses

200

200

404

404

PUT /dealCustomFieldMeta/{id}
GET /dealGroups

Retrieve all existing pipelines

operationId: Deal_getAllPipelines

Parameters

Name In Required Type Description
filters[title] query optional string

Filter by pipeline’s title. The filter matches any pipeline titles that contain the provided title (i.e. “Contact” matches all of “In Contact”, “To Contact”, and “Contact Pipeline”).

filters[have_stages] query optional integer

Filter by whether pipelines have deal stages. Can be either 1 or 0. If 1, only pipelines with at least one stage will be returned.

orders[title] query optional string

Order by Pipeline’s title

orders[popular] query optional string

Order by number of deals each pipeline has. If pipelines have same number of deals, pipelines’ created dates are used to determine the order.

Responses

200

200

400

400

GET /dealGroups
POST /dealGroups

Create a new pipeline

operationId: Deal_createPipeline

Request Body

application/json
schema DealCreatePipelineRequest

Responses

200

200

400

400

POST /dealGroups
DELETE /dealGroups/{id}

Delete an existing pipeline

operationId: Deal_deletePipeline

Parameters

Name In Required Type Description
id path required integer

Pipeline’s id

Responses

200

200

DELETE /dealGroups/{id}
GET /dealGroups/{id}

Retrieve an existing pipeline

operationId: Deal_getPipeline

Parameters

Name In Required Type Description
id path required string

Pipeline’s id

Responses

200

200

400

400

GET /dealGroups/{id}
PUT /dealGroups/{id}

Update an existing pipeline

operationId: Deal_updatePipeline

Parameters

Name In Required Type Description
id path required integer

Pipeline’s id

Request Body

application/json
schema DealUpdatePipelineRequest

Responses

200

200

400

400

PUT /dealGroups/{id}
GET /dealRoles
operationId: Deal_listAllRoles

Parameters

Name In Required Type Description
search query optional string

(optional string used to search for matching titles)

Responses

200

200

400

400

GET /dealRoles
POST /dealRoles
operationId: Deal_roleCreation

Request Body

application/json
schema DealRoleCreationRequest

Responses

200

200

400

400

POST /dealRoles
DELETE /dealRoles/{id}
operationId: Deal_deleteRole

Parameters

Name In Required Type Description
id path required string

Deal role’s id

Responses

200

200

400

400

DELETE /dealRoles/{id}
GET /dealStages

Retrieve all existing stages

operationId: Deal_listAllStages

Parameters

Name In Required Type Description
filters[title] query optional string

Filter by deal stages’ titles. Any stages whose titles partial-match the filter value are returned

filters[d_groupid] query optional string

Filter by pipeline’s id

orders[title] query optional string

Order by deal stage’s title

Responses

200

200

400

400

GET /dealStages
POST /dealStages

Create a new stage for a pipeline

operationId: Deal_createStage

Parameters

Name In Required Type Description
reorder query optional integer

Whether to reorder stages within the pipeline after creating a new deal stage. Can be one of 0 and 1. If set to 1, new order values will be assigned to all stages within the same pipeline. If deal stages with the same order exists, the stage with the highest id will be assigned with the lowest order

Request Body

application/json
schema DealCreateStageRequest

Responses

200

200

400

400

POST /dealStages
DELETE /dealStages/{id}

Delete an existing stage

operationId: Deal_deleteStageById

Parameters

Name In Required Type Description
id path required integer

Deal stage’s id

Responses

200

200

DELETE /dealStages/{id}
GET /dealStages/{id}

Retrieve an existing stage

operationId: Deal_getStageById

Parameters

Name In Required Type Description
id path required integer

Deal stage’s id

Responses

200

200

400

400

GET /dealStages/{id}
PUT /dealStages/{id}

Update an existing stage

operationId: Deal_updateStage

Parameters

Name In Required Type Description
id path required integer

Deal stage’s id

reorder query optional integer

Whether to reorder stages within the pipeline after creating a new deal stage. Can be one of 0 and 1. If set to 1, new order values will be assigned to all stages within the same pipeline. If deal stages with the same order exists, the stage with the highest id will be assigned with the lowest order

Request Body

application/json
schema DealUpdateStageRequest

Responses

200

200

400

400

PUT /dealStages/{id}
PUT /dealStages/{id}/deals

Move all deals in one stage to another stage

operationId: Deal_moveDealsToAnotherStage

Parameters

Name In Required Type Description
id path required integer

Deal stage’s id whose deals are to be moved to another deal stage

Request Body

application/json
schema DealMoveDealsToAnotherStageRequest

Responses

200

200

422

422

PUT /dealStages/{id}/deals
GET /dealTasks

Retrieve a list of existing tasks

operationId: Deal_getAllTasks

Parameters

Name In Required Type Description
filters[title] query optional string

The title to be assigned to the task

filters[reltype] query optional string

The name of the relating object (see relationships table)

filters[relid] query optional integer

The id of the relational object for this task

filters[status] query optional integer

Task status means complete or incomplete. 1 is complete and 0 is incomplete.

filters[note] query optional string

The content describing the task

filters[duedate] query optional string

Due date of the task

filters[d_tasktypeid] query optional integer

The type of the task based on the available Task Types in the account

filters[userid] query optional integer

User ID this task belongs to

filters[due_after] query optional string

Filter deal tasks that are due after a specific date

Fitlers[due_before] query optional string

Filter deal tasks that are due before a specific date

filters[duedate_range] query optional string

Filter deal tasks that are due between specific date range

filters[assignee_userid] query optional integer

The id of the user a task is assigned to

filters[outcome_id] query optional integer

The id of a task outcome that the task belongs to.

Responses

201

201

400

400

GET /dealTasks
POST /dealTasks

Create a new task

operationId: Deal_createNewTask

Request Body

application/json
schema DealCreateNewTaskRequest

Responses

201

201

400

400

POST /dealTasks
DELETE /dealTasks/{id}

Delete an existing task

operationId: Deal_deleteTask

Parameters

Name In Required Type Description
id path required integer

The task id

Responses

200

200

400

400

DELETE /dealTasks/{id}
GET /dealTasks/{id}

Retrieve an existing task

operationId: Deal_getTaskById

Parameters

Name In Required Type Description
id path required integer

The ID of the task

Responses

201

201

400

400

GET /dealTasks/{id}
PUT /dealTasks/{id}

Update an existing task

operationId: Deal_updateTaskById

Parameters

Name In Required Type Description
id path required integer

The ID of the task

Request Body

application/json
schema DealUpdateTaskByIdRequest

Responses

201

201

400

400

PUT /dealTasks/{id}
GET /dealTasktypes

Retrieve all existing task types

operationId: Deal_listAllTaskTypes

Responses

200

200

400

400

GET /dealTasktypes
POST /dealTasktypes

Create a new task type

operationId: Deal_createTaskType

Request Body

application/json
schema DealCreateTaskTypeRequest

Responses

200

200

400

400

POST /dealTasktypes
DELETE /dealTasktypes/{id}

Delete an existing task type

operationId: Deal_deleteTaskType

Parameters

Name In Required Type Description
id path required integer

Deal task type’s id

Responses

default

403

DELETE /dealTasktypes/{id}
GET /dealTasktypes/{id}

Retrieve an existing task type

operationId: Deal_getTaskType

Parameters

Name In Required Type Description
id path required integer

Deal task type’s id

Responses

200

200

400

400

GET /dealTasktypes/{id}
PUT /dealTasktypes/{id}

Update an existing task type

operationId: Deal_updateTaskType

Parameters

Name In Required Type Description
id path required integer

Deal task type’s id

Request Body

application/json
schema DealUpdateTaskTypeRequest

Responses

200

200

400

400

PUT /dealTasktypes/{id}
PUT /dealTasktypes/{id}/dealTasks

Move tasks to a different task type

operationId: Deal_moveTasksToAnotherTaskType

Parameters

Name In Required Type Description
id path required integer

Deal task type’s id

Request Body

application/json
schema DealMoveTasksToAnotherTaskTypeRequest

Responses

200

200

400

400

PUT /dealTasktypes/{id}/dealTasks
GET /deals

Retrieve all existing deals

operationId: Deal_getAll

Parameters

Name In Required Type Description
filters[search] query optional string

Search text to use with search_field parameter.

filters[search_field] query optional string

Field to search for. See available values.

filters[title] query optional string

Filter by deal’s title

filters[stage] query optional integer

Filter by deal’s stage

filters[group] query optional integer

Filter by deal’s pipeline

filters[status] query optional integer

Filter by deal’s status. See available values

filters[owner] query optional integer

Filter by deal’s owner

filters[nextdate_range] query optional string

Filter by deal’s tasks due dates. See available values

filters[tag] query optional string

Filter by tag names associated with deal’s primary contact. See available values.

filters[tasktype] query optional string

Filter by deals that have tasks with given type

filters[created_before] query optional string

Returns deals that are created less than given date

filters[created_after] query optional string

Returns deals that are created greater than or equal to given date

filters[updated_before] query optional string

Returns deals that are updated less than given date

filters[updated_after] query optional string

Returns deals that are updated greater than or equal to given date

filters[organization] query optional integer

Filter by deal’s primary contact’s organization’s id

filters[minimum_value] query optional integer

In USD with dollar portion. Returns deals whose values are greater than or equal to given value

filters[maximum_value] query optional integer

In USD with dollar portion. Returns deals whose values are less than or equal to given value

filters[score_greater_than] query optional string

In a format of <score_id>:<score_value>. Returns deals whose score value is greater than given value

filters[score_less_than] query optional string

In a format of <score_id>:<score_value>. Returns deals whose score value is less than given value

filters[score] query optional string

In a format of <score_id>:<score_value>. Returns deals whose score value is equal to given value

orders[title] query optional string

Order by deal’s title.

orders[value] query optional string

Order by deal’s value.

orders[cdate] query optional string

Order by deal’s created date.

orders[contact_name] query optional string

Order by deal’s primary contact’s first name.

orders[contact_orgname] query optional string

Order by deal’s primary contact’s organization name.

orders[next-action] query optional string

Order by deal’s next task’s due date first. Then append deals with no next task. Lastly append deals with overdue tasks. If dates are the same, order by deal’s id.

Responses

200

200

400

400

GET /deals
POST /deals

Create a new deal

operationId: Deal_newDealCreation

Request Body

application/json
schema DealNewDealCreationRequest

Responses

201

201

400

400

POST /deals
PATCH /deals/bulkUpdate

Update an existing deal

operationId: Deal_bulkUpdateOwners

Request Body

application/json
schema DealBulkUpdateOwnersRequest

Responses

200

200

422

422

PATCH /deals/bulkUpdate
DELETE /deals/{id}

Delete an existing deal

operationId: Deal_removeById

Parameters

Name In Required Type Description
id path required integer

The Deal’s id

Responses

200

200

400

400

DELETE /deals/{id}
GET /deals/{id}

Retrieve an existing deal

operationId: Deal_getDeal

Parameters

Name In Required Type Description
id path required integer

The Deal’s id

Responses

200

200

GET /deals/{id}
Load more endpoints